<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" "batch-runs"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-5">Batch runs</h1>

    <div class="text-sm font-medium text-center text-slate-500 border-b border-slate-200 mb-7">
      <ul class="flex flex-wrap -mb-px">
        <li class="mr-2">
          <a href="/" class="inline-block p-4 text-sky-600 border-b-2 border-sky-600"
          aria-current="page">Overzicht
          </a>
        </li>
        <li class="mr-2">
          <a href="/batch-runs/new"
            class="inline-block p-4 border-b-2 border-transparent hover:text-slate-600 hover:border-slate-300">Nieuwe batch run
            </a>
        </li>
      </ul>
    </div>

    <h2 class="text-xl font-medium mb-4">Overzicht batch runs</h2>

    <div class="relative overflow-x-auto bg-white mb-7">
      <table class="w-full text-left">
        <thead class="text-sm text-slate-700 uppercase bg-white">
          <tr>
            <th scope="col" class="px-4 py-3">
              ID
            </th>
            <th scope="col" class="px-4 py-3">
              Jaar 
            </th>
            <th scope="col" class="px-4 py-3">
              Aangemaakt op
            </th>
          </tr>
        </thead>
        <tbody>
          {{range .runs }}
          <tr class="border-t border-slate-200">
            <td class="p-4">
              <a href="/batch-runs/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">{{.ID}}</a>
            </td>
            <td class="p-4">
              <a href="/batch-runs/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
                {{.Year}}
              </a>
            </td>
            <td class="p-4">
              <a href="/batch-runs/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
                {{formatDate .CreatedAt}}
              </a>
            </td>
          </tr>
          {{else}}
          <tr class="border-t border-slate-200">
            <td class="p-4 text-center" colspan="3">Nog geen batch runs gevonden. <a class="text-sky-600 underline hover:text-sky-700 hover:no-underline" href="/batch-runs/new">Start een batch run</a></td>
          </tr>
          {{end}}
        </tbody>
      </table>
    </div>

    {{template "partials/pagination-prev-next" .pagination}}
  </div>
</div>
